> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recallio.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete all relationships of a specific user

> Delete all relationships for the provided User. Only keys with 'Manager' role can call this endpoint



## OpenAPI

````yaml https://app.recallio.ai/swagger/v1/swagger.json delete /api/GraphMemory/delete-all
openapi: 3.0.4
info:
  title: Recallio API
  description: API for Recallio.AI
  contact:
    name: Recallio.AI Team
    email: support@recallio.ai
  version: v1
servers:
  - url: https://app.recallio.ai
security:
  - Bearer: []
tags:
  - name: Knowledge
  - name: Memory
  - name: MemoryGraph (Extra Pack)
paths:
  /api/GraphMemory/delete-all:
    delete:
      tags:
        - MemoryGraph (Extra Pack)
      summary: Delete all relationships of a specific user
      description: >-
        Delete all relationships for the provided User. Only keys with 'Manager'
        role can call this endpoint
      operationId: DeleteAllGraphMemory
      parameters:
        - name: userId
          in: query
          description: User ID
          schema:
            type: string
        - name: projectId
          in: query
          description: Optional project ID
          schema:
            type: string
      responses:
        '201':
          description: Created
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorReturnClass'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorReturnClass'
components:
  schemas:
    ErrorReturnClass:
      required:
        - error
      type: object
      properties:
        error:
          minLength: 1
          type: string
          description: Error message indicating the specific validation issue
          example: '"Invalid scope type. Must be ''user'', ''project'', or ''team''."'
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````